POST api/sticker/upsert
Request Information
URI Parameters
None.
Body Parameters
StickerViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| descriptions | Dictionary of string [key] and string [value] |
None. |
|
| type | StickerTypeViewModel |
None. |
|
| relations | Collection of StickerRelationViewModel |
None. |
|
| details | Collection of StickerDetailViewModel |
None. |
|
| active | boolean |
Required |
|
| code | string |
Required Max length: 50 |
|
| id | globally unique identifier |
None. |
|
| stickerType_ID | globally unique identifier |
Required |
|
| stickerRelation_IDs | Collection of globally unique identifier |
None. |
|
| site_ID | globally unique identifier |
Required |
Request Formats
application/json, text/json
Sample:
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"type": {
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"code": "sample string 1",
"id": "9b457100-53e0-488e-b817-8bee7aa41553",
"technicalDescription": "sample string 3",
"active": true
},
"relations": [
{
"active": true,
"contract_ID": "a45074bc-31b4-448f-bc1a-49ce8d5af172",
"contractItem_ID": "b4c5a14f-3660-4904-a552-fa6aacb80c54",
"departement_ID": "5c028ad4-6ea8-4b60-aad3-fda7768ec227",
"departmentItem_ID": "c1d01268-001f-46c1-8268-89fb651e0f20",
"iD": "6e02728a-c2e7-40f4-9ef0-a8c52a94869d",
"site_ID": "d7f07eeb-407a-41ac-9de8-13ffa51c954f",
"siteCustomer_ID": "096725f8-01e3-41be-a303-ea2cc6b9634c",
"sticker_ID": "5132aa37-d989-4b81-acbb-45fdc5aaf0ba",
"garment_ID": "9659438e-7842-4d5d-8427-c20c289ac893"
},
{
"active": true,
"contract_ID": "a45074bc-31b4-448f-bc1a-49ce8d5af172",
"contractItem_ID": "b4c5a14f-3660-4904-a552-fa6aacb80c54",
"departement_ID": "5c028ad4-6ea8-4b60-aad3-fda7768ec227",
"departmentItem_ID": "c1d01268-001f-46c1-8268-89fb651e0f20",
"iD": "6e02728a-c2e7-40f4-9ef0-a8c52a94869d",
"site_ID": "d7f07eeb-407a-41ac-9de8-13ffa51c954f",
"siteCustomer_ID": "096725f8-01e3-41be-a303-ea2cc6b9634c",
"sticker_ID": "5132aa37-d989-4b81-acbb-45fdc5aaf0ba",
"garment_ID": "9659438e-7842-4d5d-8427-c20c289ac893"
}
],
"details": [
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "5e0f9475-7b18-4de1-85dd-050c4ce460e5",
"isProductionSite": true,
"isStatic": true,
"separator": "sample string 6",
"stickerType_ID": "1da9b9e8-8b46-4458-8eb7-56c585a36bb9",
"technicalDescription": "sample string 8"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "6083c618-424a-4214-b464-e5ccf5a85aa7",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "a818c43a-768a-4e99-a8d9-a5bf9d0aac2a",
"stickerField_ID": "173fc38c-3ac5-4259-bf1b-5507df458721",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
},
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "5e0f9475-7b18-4de1-85dd-050c4ce460e5",
"isProductionSite": true,
"isStatic": true,
"separator": "sample string 6",
"stickerType_ID": "1da9b9e8-8b46-4458-8eb7-56c585a36bb9",
"technicalDescription": "sample string 8"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "6083c618-424a-4214-b464-e5ccf5a85aa7",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "a818c43a-768a-4e99-a8d9-a5bf9d0aac2a",
"stickerField_ID": "173fc38c-3ac5-4259-bf1b-5507df458721",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
}
],
"active": true,
"code": "sample string 2",
"id": "809d92b9-5210-4e50-9ce3-a820c3b740ec",
"stickerType_ID": "bc936dd4-b58b-4e64-a4dc-29c01a7a11e5",
"stickerRelation_IDs": [
"f0a0fd5e-a112-4a76-9f20-706487ca0a4d",
"9555355e-821a-4d53-aad6-4abcd4ca4069"
],
"site_ID": "eabee3a0-b579-4b5e-97f5-06922ed34785"
}
application/xml
Sample:
Sample not available.
text/xml
Sample:
Sample not available.
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"2ee2569c-f48e-4594-9d2a-ae382134999a"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">2ee2569c-f48e-4594-9d2a-ae382134999a</guid>